{**********************************************************************
      COM- TrComPort.dll,
     
 $Author: trainer $
 $Revision: 1.5 $
 $Version: NONE $
 $Copyright    1991-2003 trainer  ALL RIGHTS RESERVED. $
 $Date: 3  2003 . 20:54:52 $
 **********************************************************************}
unit TrComPublicDefs;

interface

const
   {  ,   }
   {   }
   TRCOMERR_NONE             = 0;
   {   (  ) }
   TRCOMERR_UNKNOWN          = Integer(-1);
   {   ()  }
   TRCOMERR_CREATE           = Integer(-2);
   {     }
   TRCOMERR_EVENT            = Integer(-3);
   {       }
   TRCOMERR_GET_CONFIG       = Integer(-4);
   {      }
   TRCOMERR_SET_CONFIG       = Integer(-5);
   {      }
   TRCOMERR_GET_CONTROL      = Integer(-6);
   {      }
   TRCOMERR_SET_CONTROL      = Integer(-7);
   {     }
   TRCOMERR_READ             = Integer(-8);
   {     }
   TRCOMERR_WRITE            = Integer(-9);
   {     -   }
   TRCOMERR_READ_TIMEOUT     = Integer(-10);
   {     -   }
   TRCOMERR_WRITE_TIMEOUT    = Integer(-11);
   {     -   }
   TRCOMERR_READ_ABORTED     = Integer(-12);
   {     -   }
   TRCOMERR_WRITE_ABORTED    = Integer(-13);
   {     }
   TRCOMERR_PURGE            = Integer(-14);
   {     }
   TRCOMERR_PURGE_ABORTED    = Integer(-15);
   {      }
   TRCOMERR_QUEUE            = Integer(-16);
   {   }
   TRCOMERR_INVALID_HANDLE   = Integer(-17);
   {    }
   TRCOMERR_NOT_CONNECTED    = Integer(-18);
   {    }
   TRCOMERR_INVALID_ARGUMENT = Integer(-19);
   {     }
   TRCOMERR_BREAK            = Integer(-20);
   {      (CRC  ..) }
   TRCOMERR_CHECKINFO        = Integer(-21);
   {    }
   TRCOMERR_REJECTED         = Integer(-22);
   {        }
   TRCOMERR_INSUFFICIENT_BUFFER = Integer(-23);
   {      }
   TRCOMERR_ECHO             = Integer(-24);
   {  ,  ,    }
   TRCOMERR_RESPONCE_DATA    = Integer(-25);
   {    }
   TRCOMERR_NOT_FOUND        = Integer(-26);
   {    }
   TRCOMERR_WRONG_DEV_VERSION = Integer(-27);
   {      }
   TRCOMERR_RESOURCE         = Integer(-28);
   {   }
   TRCOMERR_ANSWER           = Integer(-29);
   {    }
   TRCOMERR_FAILED           = Integer(-30);
   {   -  - }
   TRCOMERR_TIMED_OUT        = Integer(-31);
   {   }
   TRCOMERR_ABORTED          = Integer(-32);
   {   }
   TRCOMERR_BUSY             = Integer(-33);
   {    }
   TRCOMERR_NOT_INITIALIZED  = Integer(-34);
   {     -   }
   TRCOMERR_ACCEPTOR_BLOCKED = Integer(-35);
   {   -      }
   TRCOMERR_SERVICE_CORRUPTED = Integer(-36);
   {   -    }
   TRCOMERR_INCOMPATIBLE_VERSION = Integer(-37);
   {    -   }
   TRCOMERR_SERVICE_REINITIALIZE = Integer(-38);
   {      }
   TRCOMERR_INVALID_MEDIA_STATE = Integer(-39);
   {      }
   TRCOMERR_UNAVAILABLE_VALUE = Integer(-40);
   {   () }
   TRCOMERR_COMMUNICATION_LOCKED = Integer(-41);
   {   (  ) }
   TRCOMERR_ALREADY_IN_USE   = Integer(-42);
   {   /  }
   TRCOMERR_NO_DEVICE        = Integer(-43);
   {   (  ) }
   TRCOMERR_INVALID_SIZE     = Integer(-44);
   
   {  / ,    }
   tcpmpBaudRate         = 1;     {   }
   tcpmpDefaultTimeout   = 2;     { -   }
   tcpmpByteSize         = 4;     {   }
   tcpmpStopBits         = 8;     {  - }
   tcpmpCheckParity      = 16;    {   }
   tcpmpParity           = 32;    {   }
   tcpmpEnableRtsControl = 64;    {   RTS }
   tcpmpEnableDtrControl = 128;   {   DTR }
   tcpmpClearHidden      = 65536; {    }

   {   /,    }
   tcpffRxAbort = 1;
   tcpffTxAbort = 2;
   tcpffRxClear = 4;
   tcpffTxClear = 8;

type
   TrComPortParameters = record
      DesiredParams:    LongWord; { /  }
      BaudRate:         LongInt;  {   }
      DefaultTimeout:   LongInt;  { -   }
      ByteSize:         Byte;     {   }
      StopBits:         Byte;     {  - }
      CheckParity:      Byte;     {   }
      Parity:           Byte;     {    }
      RtsControl:       Byte;     {   RTS }
      DtrControl:       Byte;     {   DTR }
   end;
   PTrComPortParameters = ^TrComPortParameters;

   TrComPortChangeControl = (
      tcpccNoChange, {   }
      tcpccClear,    {  }
      tcpccSet       {  }
   );

   function TRCOM_FAILED(value: Integer): boolean;
   function TRCOM_SUCCEEDED(value: Integer): boolean;
   function TRCOM_CTRL(DTR,RTS: TrComPortChangeControl): LongWord;

implementation

   function TRCOM_FAILED(value: Integer): boolean;
   begin
      Result := ( value < 0 );
   end;

   function TRCOM_SUCCEEDED(value: Integer): boolean;
   begin
      Result := ( value >= 0 );
   end;

   function TRCOM_CTRL(DTR,RTS: TrComPortChangeControl): LongWord;
   begin
      Result := 0;
      if DTR <> tcpccNoChange then
         begin
            Result := Result or 8;
            if DTR = tcpccSet then
               Result := Result or 4;
         end;
      if RTS <> tcpccNoChange then
         begin
            Result := Result or 2;
            if RTS = tcpccSet then
               Result := Result or 1;
         end;
   end;

end.
 